{ lib, config, ... }:
with lib;
let
  cfg = config.modules.cli.zellij;
in
{
  options.modules.cli.zellij = {
    enable = mkEnableOption "enable Zellij";
  };
  config = mkIf cfg.enable {
    programs.zellij = {
      enable = true;
      enableZshIntegration = false;
      settings = {
        theme = "catppuccin-macchiato";
        simplified_ui = true;
        pane_frames = false;
      };
    };
  };
}
